using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Shared.Database.Models;

[Keyless]
public partial class VwPipeContractOverviewInfo
{
    [Column("pipe_contract_id")]
    public int? PipeContractId { get; set; }

    [Column("is_all_receipt_zone")]
    public bool? IsAllReceiptZone { get; set; }

    [Column("is_all_receipt_meter")]
    public bool? IsAllReceiptMeter { get; set; }

    [Column("is_all_delivery_zone")]
    public bool? IsAllDeliveryZone { get; set; }

    [Column("is_all_delivery_meter")]
    public bool? IsAllDeliveryMeter { get; set; }

    [Column("receipt_zones", TypeName = "citext")]
    public string? ReceiptZones { get; set; }

    [Column("receipt_meters", TypeName = "citext")]
    public string? ReceiptMeters { get; set; }

    [Column("delivery_zones", TypeName = "citext")]
    public string? DeliveryZones { get; set; }

    [Column("delivery_meters", TypeName = "citext")]
    public string? DeliveryMeters { get; set; }
}
